<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>Game Tebak Angka</title>
	</head>
	<body>
		<script>
			const WELCOME_MESSAGE = `
            SELAMAT DATANG!!!

            Rules :
            1. Dimainkan oleh 2 orang
            2. Setiap player menebak angka 1-3
            3. Player dilarang menebak angka yang sama
            4. Permainan dilakukan selama 5 ronde
            5. Pemenang ditentukan dari score terbanyak
            `;

			const number = [1, 2, 3];

			let score = [0, 0];

			let input = (player) => prompt("Player " + player + "\nMasukkan Angka (1-3) : ");

			let getAnswer = (player) => {
				let guess = 0;
				let notValid = false;
				do {
					guess = input(player);
                    if (guess === null) return -1;
					number.some((num) => num == guess)
						? (notValid = false)
						: (notValid = true);
					if (notValid) {
						alert("Angka yang dimasukkan salah");
						if (!confirm("Ulangi lagi?")) return -1;
					}
				} while (notValid);
				return parseInt(guess);
			};

			alert(WELCOME_MESSAGE);

			for (let round = 1; round <= 5; round++) {
				let randomNumber = Math.floor(Math.random() * 3) + 1;
				let player1,
					player2 = 0;

				let end = false;
				let repeat = false;

				alert("RONDE " + round);

				do {
					repeat = false;

					player1 = getAnswer(1);
					if (player1 === -1) {
						end = true;
						break;
					}
					player2 = getAnswer(2);
					if (player2 === -1) {
						end = true;
						break;
					}

					if (player1 === player2) {
						alert("Angka tidak boleh sama");
						confirm("Ulangi lagi?") ? repeat = true : end = true;
					}
				} while (repeat);
				if (end) break;

				if (player1 === randomNumber) {
					alert("Player 1 Menang!!!");
					score[0]++;
				} else if (player2 === randomNumber) {
					alert("Player 2 Menang!!!");
					score[1]++;
				} else {
					alert("Tidak ada pemenang");
				}

				alert(`
                RONDE ${round} :    (Angka ${randomNumber})
                ===================================
                Player 1 : ${score[0]}
                Player 2 : ${score[1]}
                `);

				if (round === 5) {
					if (score[0] === score[1]) {
						alert("SERI!! Tidak ada pemenang!!");
					} else if (score[0] > score[1]) {
						alert("PLAYER 1 MENANG!!");
					} else {
						alert("PLAYER 2 MENANG!!");
					}
				}
			}
		</script>
	</body>
</html>
